Package org.apache.nutch.segment

## Class SegmentReader.SegmentReaderStats

- java.lang.Object
- - org.apache.nutch.segment.SegmentReader.SegmentReaderStats

- Enclosing class:
    SegmentReader

      public static class SegmentReader.SegmentReaderStats
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `end` |
    `long` | `fetched` |
    `long` | `fetchErrors` |
    `long` | `generated` |
    `long` | `parsed` |
    `long` | `parseErrors` |
    `long` | `start` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SegmentReaderStats()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          public long start

    - #### end

          public long end

    - #### generated

          public long generated

    - #### fetched

          public long fetched

    - #### fetchErrors

          public long fetchErrors

    - #### parsed

          public long parsed

    - #### parseErrors

          public long parseErrors

  - ### Constructor Detail

    - #### SegmentReaderStats

          public SegmentReaderStats()